Index: /trunk/bp-core.php
===================================================================
--- /trunk/bp-core.php	(revision 3727)
+++ /trunk/bp-core.php	(revision 3728)
@@ -1577,5 +1522,5 @@
 			$site_path = '/';
 		else {
-			/* Unset the first three segments (http(s)://domain.com part) */
+			// Unset the first three segments (http(s)://domain.com part)
 			unset( $site_path[0] );
 			unset( $site_path[1] );
@@ -1593,6 +1538,4 @@
 
 /**
- * bp_core_redirect()
- *
  * Performs a status safe wp_redirect() that is compatible with bp_catch_uri()
  *
@@ -1614,6 +1557,4 @@
 
 /**
- * bp_core_referrer()
- *
  * Returns the referrer URL without the http(s)://
  *
@@ -1628,6 +1569,4 @@
 
 /**
- * bp_core_add_illegal_names()
- *
  * Adds illegal names to WP so that root components will not conflict with
  * blog names on a subdirectory installation.
@@ -1640,6 +1579,4 @@
 
 /**
- * bp_core_delete_account()
- *
  * Allows a user to completely remove their account from the system
  *
@@ -1657,13 +1594,13 @@
 		$user_id = $bp->loggedin_user->id;
 
-	/* Make sure account deletion is not disabled */
+	// Make sure account deletion is not disabled
 	if ( !empty( $bp->site_options['bp-disable-account-deletion'] ) && !$bp->loggedin_user->is_super_admin )
 		return false;
 
-	/* Site admins cannot be deleted */
+	// Site admins cannot be deleted
 	if ( is_super_admin( bp_core_get_username( $user_id ) ) )
 		return false;
 
-	/* Specifically handle multi-site environment */
+	// Specifically handle multi-site environment
 	if ( is_multisite() ) {
 		if ( $wp_version >= '3.0' )
@@ -1676,5 +1613,5 @@
 		return wpmu_delete_user( $user_id );
 
-	/* Single site user deletion */
+	// Single site user deletion
 	} else {
 		require_once( ABSPATH . '/wp-admin/includes/user.php' );
@@ -1684,6 +1621,4 @@
 
 /**
- * bp_core_search_site()
- *
  * A javascript free implementation of the search functions in BuddyPress
  *
@@ -1712,11 +1647,14 @@
 				$slug = bp_is_active( 'blogs' )  ? $bp->blogs->slug  : '';
 				break;
+
 			case 'forums':
 				$slug = bp_is_active( 'forums' ) ? $bp->forums->slug : '';
 				$query_string = '/?fs=';
 				break;
+
 			case 'groups':
 				$slug = bp_is_active( 'groups' ) ? $bp->groups->slug : '';
 				break;
+
 			case 'members':
 			default:
@@ -1735,8 +1673,5 @@
 add_action( 'init', 'bp_core_action_search_site', 5 );
 
-
-/**
- * bp_core_ucfirst()
- *
+/**
  * Localization safe ucfirst() support.
  *
@@ -1752,8 +1687,5 @@
 }
 
-
-/**
- * bp_core_strip_username_spaces()
- *
+/**
  * Strips spaces from usernames that are created using add_user() and wp_insert_user()
  *
@@ -1761,8 +1693,8 @@
  */
 function bp_core_strip_username_spaces( $username ) {
-        // Don't alter the user_login of existing users, as it causes user_nicename problems.
-        // See http://trac.buddypress.org/ticket/2642
-        if ( username_exists( $username ) && ( !defined( 'BP_ENABLE_USER_COMPATIBILITY_MODE' ) || !BP_ENABLE_USER_COMPATIBILITY_MODE ) )
-                return $username;
+	// Don't alter the user_login of existing users, as it causes user_nicename problems.
+	// See http://trac.buddypress.org/ticket/2642
+	if ( username_exists( $username ) && ( !defined( 'BP_ENABLE_USER_COMPATIBILITY_MODE' ) || !BP_ENABLE_USER_COMPATIBILITY_MODE ) )
+		return $username;
 
 	return str_replace( ' ', '-', $username );
@@ -1770,7 +1702,5 @@
 add_action( 'pre_user_login', 'bp_core_strip_username_spaces' );
 
-
-/**
- * bp_core_clear_cache()
+/**
  * REQUIRES WP-SUPER-CACHE
  *
@@ -1791,6 +1721,4 @@
 
 /**
- * bp_core_print_generation_time()
- *
  * Prints the generation time in the footer of the site.
  *
@@ -1807,6 +1735,4 @@
 
 /**
- * bp_core_add_admin_menu_page()
- *
  * A better version of add_admin_menu_page() that allows positioning of menus.
  *
@@ -1854,6 +1780,4 @@
 
 /**
- * bp_core_boot_spammer()
- *
  * When a user logs in, check if they have been marked as a spammer. If yes then simply
  * redirect them to the home page and stop them from logging in.
@@ -1870,5 +1794,5 @@
 
 	if ( !$user = get_userdatabylogin( $username ) )
-	        return false;
+		return false;
 
 	if ( ( is_multisite() && (int)$user->spam ) || 1 == (int)$user->user_status )
@@ -1880,6 +1804,4 @@
 
 /**
- * bp_core_remove_data()
- *
  * Deletes usermeta for the user when the user is deleted.
  *
@@ -1889,17 +1811,15 @@
  */
 function bp_core_remove_data( $user_id ) {
-	/* Remove usermeta */
+	// Remove usermeta
 	delete_user_meta( $user_id, 'last_activity' );
 
-	/* Flush the cache to remove the user from all cached objects */
+	// Flush the cache to remove the user from all cached objects
 	wp_cache_flush();
 }
-add_action( 'wpmu_delete_user', 'bp_core_remove_data' );
-add_action( 'delete_user', 'bp_core_remove_data' );
+add_action( 'wpmu_delete_user',  'bp_core_remove_data' );
+add_action( 'delete_user',       'bp_core_remove_data' );
 add_action( 'bp_make_spam_user', 'bp_core_remove_data' );
 
 /**
- * bp_load_buddypress_textdomain()
- *
  * Load the buddypress translation file for current language
  *
@@ -1922,5 +1842,5 @@
 
 function bp_core_add_ajax_hook() {
-	/* Theme only, we already have the wp_ajax_ hook firing in wp-admin */
+	// Theme only, we already have the wp_ajax_ hook firing in wp-admin
 	if ( !defined( 'WP_ADMIN' ) && isset( $_REQUEST['action'] ) )
 		do_action( 'wp_ajax_' . $_REQUEST['action'] );
@@ -1929,6 +1849,4 @@
 
 /**
- * bp_core_update_message()
- *
  * Add an extra update message to the update plugin notification.
  *
@@ -1941,6 +1859,4 @@
 
 /**
- * bp_core_activation_notice()
- *
  * When BuddyPress is activated we must make sure that mod_rewrite is enabled.
  * We must also make sure a BuddyPress compatible theme is enabled. This function
@@ -1964,16 +1880,22 @@
 
 	if ( empty( $wp_rewrite->permalink_structure ) ) { ?>
+
 		<div id="message" class="updated fade">
 			<p><?php printf( __( '<strong>BuddyPress is almost ready</strong>. You must <a href="%s">update your permalink structure</a> to something other than the default for it to work.', 'buddypress' ), admin_url( 'options-permalink.php' ) ) ?></p>
 		</div><?php
+
 	} else {
-		/* Get current theme info */
+		// Get current theme info
 		$ct = current_theme_info();
 
-		/* The best way to remove this notice is to add a "buddypress" tag to your active theme's CSS header. */
+		// The best way to remove this notice is to add a "buddypress" tag to
+		// your active theme's CSS header.
 		if ( !defined( 'BP_SILENCE_THEME_NOTICE' ) && !in_array( 'buddypress', (array)$ct->tags ) ) { ?>
+
 			<div id="message" class="updated fade">
 				<p style="line-height: 150%"><?php printf( __( "<strong>BuddyPress is ready</strong>. You'll need to <a href='%s'>activate a BuddyPress compatible theme</a> to take advantage of all of the features. We've bundled a default theme, but you can always <a href='%s'>install some other compatible themes</a> or <a href='%s'>update your existing WordPress theme</a>.", 'buddypress' ), admin_url( 'themes.php' ), admin_url( 'theme-install.php?type=tag&s=buddypress&tab=search' ), admin_url( 'plugin-install.php?type=term&tab=search&s=%22bp-template-pack%22' ) ) ?></p>
-			</div><?php
+			</div>
+
+		<?php
 		}
 	}
@@ -1982,6 +1904,4 @@
 
 /**
- * bp_core_activate_site_options()
- *
  * When switching from single to multisite we need to copy blog options to
  * site options.
@@ -2019,6 +1939,4 @@
 
 /**
- * bp_include()
- *
  * Allow plugins to include their files ahead of core filters
  */
@@ -2029,6 +1947,4 @@
 
 /**
- * bp_setup_root_components()
- *
  * Allow core components and dependent plugins to set root components
  */
@@ -2039,6 +1955,4 @@
 
 /**
- * bp_setup_globals()
- *
  * Allow core components and dependent plugins to set globals
  */
@@ -2049,6 +1963,4 @@
 
 /**
- * bp_setup_nav()
- *
  * Allow core components and dependent plugins to set their nav
  */
@@ -2059,6 +1971,4 @@
 
 /**
- * bp_setup_widgets()
- *
  * Allow core components and dependent plugins to register widgets
  */
@@ -2069,6 +1979,4 @@
 
 /**
- * bp_init()
- *
  * Allow components to initialize themselves cleanly
  */
@@ -2087,6 +1995,4 @@
 
 /**
- * bp_core_add_global_group()
- *
  * Add's 'bp' to global group of network wide cachable objects
  *
@@ -2102,6 +2008,4 @@
 
 /**
- * bp_core_clear_user_object_cache()
- *
  * Clears all cached objects for a user, or a user is part of.
  *
@@ -2113,60 +2017,6 @@
 
 // List actions to clear super cached pages on, if super cache is installed
-add_action( 'wp_login', 'bp_core_clear_cache' );
+add_action( 'wp_login',              'bp_core_clear_cache' );
 add_action( 'bp_core_render_notice', 'bp_core_clear_cache' );
 
-
-/* DEPRECATED FUNCTIONS ****/
-
-/**
- * bp_core_add_root_component()
- *
- * This function originally let plugins add support for pages in the root of the install.
- * These pages are now handled by actual WordPress pages so this function is deprecated.
- * It now simply facilitates backwards compatibility by adding a WP page if the plugin has not been
- * updated to do so.
- *
- * @deprecated 1.3
- * @deprecated Use wp_insert_post() to create a page
- * @package BuddyPress Core
- * @param $slug str The slug of the component
- * @global $bp BuddyPress global settings
- */
-function bp_core_add_root_component( $slug ) {
-	global $bp, $bp_pages;
-
-	_deprecated_function( __FUNCTION__, '1.3', 'wp_insert_post()' );
-	if ( empty( $bp_pages ) )
-		$bp_pages = bp_core_get_page_names();
-
-	$match = false;
-
-	/* Check if the slug is registered in the $bp->pages global */
-	foreach ( (array)$bp_pages as $key => $page ) {
-		if ( $key == $slug || $page->slug == $slug )
-			$match = true;
-	}
-
-	/* If there was no match, add a page for this root component */
-	if ( empty( $match ) ) {
-		$bp->add_root[] = $slug;
-		add_action( 'init', 'bp_core_create_root_component_page' );
-	}
-}
-
-function bp_core_create_root_component_page() {
-	global $bp;
-
-	$new_page_ids = array();
-
-	foreach ( (array)$bp->add_root as $slug )
-		$new_page_ids[$slug] = wp_insert_post( array( 'comment_status' => 'closed', 'ping_status' => 'closed', 'post_title' => ucwords( $slug ), 'post_status' => 'publish', 'post_type' => 'page' ) );
-
-	$page_ids = bp_core_get_page_meta();
-
-	$page_ids = (array) $page_ids;
-	$page_ids = array_merge( (array) $new_page_ids, (array) $page_ids );
-
-	bp_core_update_page_meta( $page_ids );
-}
 ?>
